Page MenuHomePhabricator

Remove unused $useHeadElement property from skins
Closed, ResolvedPublic

Description

The history file of mediawiki/core contains the following sentence:

* BREAKING CHANGE: Skins built for MediaWiki 1.15 and earlier that do not use
  the "headelement" template key are no longer supported. Setting
  $useHeadElement = false; is no longer supported and will not cause old keys
  like "headlinks", "skinnameclass", etc. to be defined.

But many skins setting this property, which is unused and should be removed.

https://codesearch.wmflabs.org/search/?q=useHeadElement&i=nope&files=&repos=

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 23 2018, 9:07 PM
Zoranzoki21 added a subscriber: Zoranzoki21.

I will take this.

Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptMar 26 2018, 4:42 AM
Zoranzoki21 triaged this task as Normal priority.Mar 26 2018, 8:26 PM

For tomorrow.

For tomorrow.

I starting now with working on this. @Umherirrender Please review and deploy patches when you have free time.

Change 422170 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/skins/MinervaNeue@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422170

Change 422171 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/skins/BlueSky@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422171

Zoranzoki21 moved this task from Backlog to Doing on the good first bug board.Mar 27 2018, 4:08 PM

Change 422170 merged by jenkins-bot:
[mediawiki/skins/MinervaNeue@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422170

Change 422225 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/skins/Gamepress@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422225

Change 422223 merged by jenkins-bot:
[mediawiki/skins/Example@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422223

Change 422212 merged by jenkins-bot:
[mediawiki/skins/Nimbus@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422212

Change 422214 merged by jenkins-bot:
[mediawiki/skins/Bouquet@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422214

Change 422216 merged by jenkins-bot:
[mediawiki/skins/Daddio@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422216

Change 422221 merged by jenkins-bot:
[mediawiki/skins/DuskToDawn@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422221

Change 422220 merged by jenkins-bot:
[mediawiki/skins/Dusk@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422220

All is done. You can deploy patches: https://gerrit.wikimedia.org/r/#/q/topic:T190575+status:open (open, no merged or is queued for it)

Full (open + merged) https://gerrit.wikimedia.org/r/#/q/topic:T190575

Change 422232 merged by jenkins-bot:
[mediawiki/skins/BlueSpiceSkin@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422232

Change 422218 merged by jenkins-bot:
[mediawiki/skins/DeskMessMirrored@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422218

Change 422225 merged by jenkins-bot:
[mediawiki/skins/Gamepress@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422225

Change 422226 merged by jenkins-bot:
[mediawiki/skins/GreyStuff@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422226

Change 422227 merged by jenkins-bot:
[mediawiki/skins/HasSomeColours@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422227

Change 422228 merged by jenkins-bot:
[mediawiki/skins/Mask@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422228

Change 422231 merged by jenkins-bot:
[mediawiki/skins/Material@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422231

Change 422233 merged by jenkins-bot:
[mediawiki/skins/Refreshed@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422233

Change 422234 merged by jenkins-bot:
[mediawiki/skins/Splash@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422234

Change 422235 merged by jenkins-bot:
[mediawiki/skins/Synagonism@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422235

Change 422237 merged by jenkins-bot:
[mediawiki/skins/Timeless@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422237

Change 422238 merged by jenkins-bot:
[mediawiki/skins/Truglass@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422238

Change 422240 merged by jenkins-bot:
[mediawiki/skins/WPtouch@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422240

Change 422241 merged by jenkins-bot:
[mediawiki/skins/WoOgLeShades@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422241

Change 422248 merged by jenkins-bot:
[mediawiki/skins/webplatform@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422248

Change 422247 merged by jenkins-bot:
[mediawiki/skins/p2wiki@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422247

Change 422245 merged by jenkins-bot:
[mediawiki/skins/mediawiki-strapping@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422245

Change 422244 merged by jenkins-bot:
[mediawiki/skins/erudite@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422244

Change 422243 merged by jenkins-bot:
[mediawiki/skins/apex@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422243

Change 422171 merged by jenkins-bot:
[mediawiki/skins/BlueSky@master] Remove unused $useHeadElement property from skins

https://gerrit.wikimedia.org/r/422171

Zoranzoki21 closed this task as Resolved.Mar 27 2018, 7:59 PM

All resolved and merged